package org.books.common;

/**
 * <p>
 * CAS Enterprise Application Development mit Java EE (EADJ) - 2007<br/>
 * Modul: Web-Tier (JSF)<br/>
 * Beschreibung:<br/>
 * Diese Klasse ist eine Utillity-Klasse und speichert
 * statische Konstanten von Variablen fuer die Web-Applikation.
 * </p>
 * <p>Copyright (c) 2007 bouquet dot ch, 3032 Hinterkappelen. All rights reseved.</p>
 * @author   Marc Bouquet ( bouquet dot ch, Switzerland )
 * @version  1.0 - 10.05.2007
 */
public class CommonConstants
{
  /**
   * constant for managed-bean <code>adminBean</code><br/>
   * Die Wert der Konstanten muss mit dem managed-bean aus
   * dem faces-config-Datei uebereinstimmen!
   */
  public static final String MBEAN_ADMIN_BEAN = "adminBean";

  /**
   * constant for managed-bean <code>languageBean</code><br/>
   * Die Wert der Konstanten muss mit dem managed-bean aus
   * dem faces-config-Datei uebereinstimmen!
   */
  public static final String MBEAN_LANG_BEAN = "languageBean";

  /**
   * constant for managed-bean <code>catalogBean</code><br/>
   * Die Wert der Konstanten muss mit dem managed-bean aus
   * dem faces-config-Datei uebereinstimmen!
   */
  public static final String MBEAN_CATALOG_BEAN = "catalogBean";

  /**
   * constant for managed-bean <code>cardBean</code><br/>
   * Die Wert der Konstanten muss mit dem managed-bean aus
   * dem faces-config-Datei uebereinstimmen!
   */
  public static final String MBEAN_CARD_BEAN = "cardBean";

  /**
   * constant for managed-bean <code>orderBean</code><br/>
   * Die Wert der Konstanten muss mit dem managed-bean aus
   * dem faces-config-Datei uebereinstimmen!
   */
  public static final String MBEAN_ORDER_BEAN = "orderBean";

  /**
   * constant for managed-bean <code>addressBean</code><br/>
   * Die Wert der Konstanten muss mit dem managed-bean aus
   * dem faces-config-Datei uebereinstimmen!
   */
  public static final String MBEAN_ADDRESS_BEAN = "addressBean";

  /**
   * constant for managed-bean <code>creditCardBean</code><br/>
   * Die Wert der Konstanten muss mit dem managed-bean aus
   * dem faces-config-Datei uebereinstimmen!
   */
  public static final String MBEAN_CREDITCARD_BEAN = "creditCardBean";

  /**
   * constant for separator <code>comma</code>
   */
  public static final String SEPARATOR_COMMA = ",";

  /**
   * constant for separator <code>newline</code>
   */
  public static final String SEPARATOR_CR = "\n";

  /**
   * constant for separator <code>null</code>
   */
  public static final String SEPARATOR_NULL = "null";

  /**
   * constant for separator <code>null value</code>
   */
  public static final String SEPARATOR_NULL_VALUE = "";

  /**
   * constant for separator <code>blank</code>
   */
  public static final String SEPARATOR_BLANK = " ";

  /**
   * constant for separator <code>equals</code>
   */
  public static final String SEPARATOR_EQUALS = "=";

  /**
   * constant for separator <code>minus</code>
   */
  public static final String SEPARATOR_MINUS = "-";

  /**
   * constant for separator <code>underline</code>
   */
  public static final String SEPARATOR_UNDERLINE = "_";

  /**
   * constant for separator <code>double point</code>
   */
  public static final String SEPARATOR_DOUBLEPOINT = ": ";

  /**
   * constant for separator <code>quotes html</code>
   */
  public static final String SEPARATOR_QUOTES_HTML = "&quotes;";

  /**
   * constant for separator <code>slash</code>
   */
  public static final String SEPARATOR_SLASH = "/";

  /**
   * constant for separator <code>ampersand escaped</code>
   */
  public static final String SEPARATOR_AMPERSAND_ESCAPED = "&amp;";

  /**
   * constant for separator <code>question mark</code>
   */
  public static final String SEPARATOR_QUESTION_MARK = "?";

  /**
   * constant for separator <code>raquo ansi</code>
   */
  public static final String SEPARATOR_RAQUO_ANSI = "&#187;";

  /**
   * constant for separator <code>laquo ansi</code>
   */
  public static final String SEPARATOR_LAQUO_ANSI = "&#171;";

  /**
   * constant for separator <code>less than</code>
   */
  public static final String SEPARATOR_LESS_THAN = "&lt;";

  /**
   * constant for separator <code>greater than</code>
   */
  public static final String SEPARATOR_GREATER_THAN = "&gt;";

  /**
   * constant for separator <code>target blank</code>
   */
  public static final String SEPARATOR_TARGET_BLANK = "_blank";

  /**
   * constant for resources
   */
  public static final String RES_TXT = "txt";

  /**
   * constant for converter <code>country</code>
   */
  public static final String CONVERT_COUNTRY = "country" + SEPARATOR_UNDERLINE;

  /**
   * constants for converter <code>creditcard type</code>
   */
  public static final String CONVERT_CREDITCARD_TYP = "creditcard_typ_";

  /**
   * constants for converter <code>conformation</code>
   */
  public static final String CONVERT_CONFORMATION = "confirmation" + SEPARATOR_UNDERLINE;

  /**
   * constant for navigation <code>success</code>
   */
  public static final String NAVIGATION_SUCCESS = "success";

  /**
   * constant for navigation <code>order</code>
   */
  public static final String NAVIGATION_ORDER = "order";

  /**
   * constant for navigation <code>address</code>
   */
  public static final String NAVIGATION_ADDRESS = "address";

  /**
   * constant for navigation <code>credit</code>
   */
  public static final String NAVIGATION_CREDIT = "credit";

  /**
   * constant for navigation <code>card_add</code>
   */
  public static final String NAVIGATION_CARD_ADD = "card_add";

  /**
   * constant for navigation <code>card_remove</code>
   */
  public static final String NAVIGATION_CARD_REMOVE = "card_remove";

  /**
   * constant for navigation <code>card_refresh</code>
   */
  public static final String NAVIGATION_CARD_REFRESH = "card_refresh";

  /**
   * constant for navigation <code>card_clear</code>
   */
  public static final String NAVIGATION_CARD_CLEAR = "card_clear";

  /**
   * constant for navigation <code>search_success</code>
   */
  public static final String NAVIGATION_SEARCH_SUCCESS = "search_success";

  /**
   * constant for navigation <code>detail_success</code>
   */
  public static final String NAVIGATION_DETAIL_SUCCESS = "detail_success";

  /**
   * constant for error message <code>no book found</code>
   */
  public static final String ERR_NO_BOOK_FOUND = "error_no_book_found";

  /**
   * constant for error message <code>invalid format message id</code>
   */
  public static final String ERR_INVALID_FORMAT_MESSAGE_ID = "RegexValidator.invalid_format";

  /**
   * constant for error message <code>creditcard invalid format</code>
   */
  public static final String ERR_CREDITCARD_INVALID_FORMAT = "error_creditcard_invalid_format";

  /**
   * constant for error message <code>creditcard invalid</code>
   */
  public static final String ERR_CREDITCARD_INVALID = "error_creditcard_invalid";

  /**
   * constant for error message <code>number no positivs</code>
   */
  public static final String ERR_NUMBER_NO_POSITIV = "error_number_no_positiv";

  /**
   * constant for error message <code>incomplete order</code>
   */
  public static final String ERR_INCOMPLETE_ORDER = "error_incomplete_order";
  
  /**
   * constant for error message <code>no address found</code>
   */
  public static final String ERR_NO_ADDRESS = "error_no_address";
  
  /**
   * constant for error message <code>no credit card found</code>
   */
  public static final String ERR_NO_CREDITCARD = "error_no_creditcard";
}
