package org.books.common;

import java.util.Locale;

import org.apache.log4j.Logger;
import org.books.view.AddressBean;

/**
 * <p>
 * CAS Enterprise Application Development mit Java EE (EADJ) - 2007<br/>
 * Modul: Web-Tier (JSF)<br/>
 * Beschreibung:<br/>
 * Diese Klasse ist eine Utillity-Klasse und setzt die entsprechende Sprache, die via
 * Link in der Web-Applikation angewaehlt wird.
 * </p>
 * <p>Copyright (c) 2007 bouquet dot ch, 3032 Hinterkappelen. All rights reseved.</p>
 * @author    Marc Bouquet ( marc at bouquet dot ch, Switzerland )
 * @version   1.0 - 09.05.2007
 * @see       BaseBean @link{org.books.common.BaseBean}
 */
public class LanguageBean extends BaseBean
{
  /**
   * Default serial version uid
   */
  private static final long serialVersionUID = 1L;

  /**
   * constant for the logging
   */
  private static Logger LOG = Logger.getLogger( LanguageBean.class );

  /**
   * Default constructor.
   */
  public LanguageBean()
  {
    if ( LOG.isDebugEnabled() )
    {
      LOG.debug( "create LanguageBean()-constructor <" + this + ">" );
    }
  }

  //-------------------------------------------------------------------------------------------------------------------
  // A C T I O N   M E T H O D S   F O R   N A V I G A T I O N   H A N D L I N G
  //-------------------------------------------------------------------------------------------------------------------

  /**
   * This method calls the language german
   * @return String value for the navigation handling
   */
  public String german()
  {
    Locale.setDefault( Locale.GERMAN );
    getFacesContext().getApplication().setDefaultLocale( Locale.GERMAN );
    getFacesContext().getViewRoot().setLocale( Locale.GERMAN );
    updateLanguage();
    return null;
  }

  /**
   * This method calls the language german
   * @return String value for the navigation handling
   */
  public String english()
  {
    Locale.setDefault( Locale.ENGLISH );
    getFacesContext().getApplication().setDefaultLocale( Locale.ENGLISH );
    getFacesContext().getViewRoot().setLocale( Locale.ENGLISH );
    updateLanguage();
    return null;
  }

  /**
   * Diese Methode ruft die loader-Methoden der Select-Items auf,
   * damit die neue Sprache geladen werden kann.
   *
   */
  public void updateLanguage()
  {
    getAddressBean().loadCountryList();
  }

  //---------------------------------------------------------------------------
  // GETTER-METHOD
  //---------------------------------------------------------------------------

  /**
   * reference to the address bean
   * @return Address
   */
  public AddressBean getAddressBean()
  {
    return (AddressBean) getManagedBean( CommonConstants.MBEAN_ADDRESS_BEAN );
  }
}
