package org.books.data;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import org.apache.log4j.Logger;

/**
 * <p>
 * CAS Enterprise Application Development mit Java EE (EADJ) - 2007<br/> 
 * Modul: Business-Tier (EJB 3)<br/>
 * Uebung: 1 (Migration auf JBoss)<br/>
 * Beschreibung:<br/> 
 * Diese Klasse enthaelt die Daten einer Adresse.
 * </p> 
 * <p>Copyright (c) 2007 bouquet dot ch, 3032 Hinterkappelen. All rights reseved.</p>
 * @author     Marc Bouquet ( marc at bouquet dot ch, Switzerland )
 * @version    1.0 - 24.06.2007
 */
@Entity
@Table( name = "ADDRESS" )
public class Address implements Serializable
{
  /**
   * Default serial version uid
   */
  private static final long serialVersionUID = 1L;

  /**
   * constant for the logging
   */
  @SuppressWarnings( "unused" )
  private static Logger LOG = Logger.getLogger( Address.class );

  /**
   * primary key of a address
   */
  @Id
  @GeneratedValue
  @Column( name = "ADDRESS_ID" )
  private long addressId;

  /**
   * name
   */
  @Column( name = "NAME" )
  private String name;

  /**
   * street
   */
  @Column( name = "STREET" )
  private String street;

  /**
   * city
   */
  @Column( name = "CITY" )
  private String city;

  /**
   * zip
   */
  @Column( name = "ZIP" )
  private String zip;

  /**
   * current country in the combobox for country
   */
  @Column( name = "COUNTRY" )
  private String country;

  //-----------------------------------------------------------------------------
  // t o S t r i n g ( ) - M E T H O D
  //-----------------------------------------------------------------------------

  /**
   * Return all attributes as String
   * @return Object as String
   */
  @Override
  public String toString()
  {
    StringBuilder buf = new StringBuilder();
    buf.append( " --- toString() of org.books.data.Address --------------------------------\n" );
    buf.append( "  address id <" );
    buf.append( getAddressId() );
    buf.append( ">\n" );
    buf.append( "  name       <" );
    buf.append( getName() );
    buf.append( ">\n" );
    buf.append( "  street     <" );
    buf.append( getStreet() );
    buf.append( ">\n" );
    buf.append( "  zip        <" );
    buf.append( getZip() );
    buf.append( ">\n" );
    buf.append( "  city       <" );
    buf.append( getCity() );
    buf.append( ">\n" );
    buf.append( "  country    <" );
    buf.append( getCountry() );
    buf.append( ">\n -------------------------------------------------------------------------" );
    return buf.toString();
  }

  //-----------------------------------------------------------------------------
  // G E T T E R - M E T H O D S
  //-----------------------------------------------------------------------------

  /**
   * get a address id
   * @return  long
   */
  public long getAddressId()
  {
    return addressId;
  }

  /**
   * get a name
   * @return  String
   */
  public String getName()
  {
    return name;
  }

  /**
   * get a street
   * @return  String
   */
  public String getStreet()
  {
    return street;
  }

  /**
   * get a city
   * @return  String
   */
  public String getCity()
  {
    return city;
  }

  /**
   * get a zip
   * @return  String
   */
  public String getZip()
  {
    return zip;
  }

  /**
   * get current country
   * @return  String
   */
  public String getCountry()
  {
    return country;
  }

  //-----------------------------------------------------------------------------
  // S E T T E R - M E T H O D S
  //-----------------------------------------------------------------------------

  /**
   * set address id
   * @param  addressId
   */
  public void setAddressId( long addressId )
  {
    this.addressId = addressId;
  }

  /**
   * set name
   * @param  name
   */
  public void setName( String name )
  {
    this.name = name;
  }

  /**
   * set street
   * @param  street
   */
  public void setStreet( String street )
  {
    this.street = street;
  }

  /**
   * set city
   * @param  city
   */
  public void setCity( String city )
  {
    this.city = city;
  }

  /**
   * set zip
   * @param  zip
   */
  public void setZip( String zip )
  {
    this.zip = zip;
  }

  /**
   * set current country
   * @param  country
   */
  public void setCountry( String country )
  {
    this.country = country;
  }
}
