package org.books.model;

import java.util.List;

import javax.ejb.Local;

import org.books.data.Book;
import org.books.exception.BookNotFoundException;

/**
 * <p>
 * CAS Enterprise Application Development mit Java EE (EADJ) - 2007<br/> 
 * Modul: Business-Tier (EJB 3)<br/>
 * Uebung: 2 (statless SessionBean)<br/>
 * Beschreibung:<br/> 
 * Diese Klasse implementiert die Schnittstelle fuer den lokalen Zugriff auf 
 * das Stateless Session Bean fuer die Katalogsuche.
 * </p> 
 * <p>Copyright (c) 2007 bouquet dot ch, 3032 Hinterkappelen. All rights reseved.</p>
 * @author     Marc Bouquet ( marc at bouquet dot ch, Switzerland )
 * @version    1.0 - 25.06.2007
 * @see CatalogManagerBean @link{org.books.model.CatalogManagerBean}
 */
@Local
public interface CatalogManagerLocal
{
  /**
   * Diese Methode erstellt ein lookup auf ein Buch.
   * @param bookId long
   * @throws BookNotFoundException
   * @return Book
   */
  public Book lookupBook( long bookId ) throws BookNotFoundException;

  /**
   * Mit dieser Methode kann nach einem Buch gesucht werden.
   * @param title String
   * @param author String
   * @param publisher String
   * @return List<Book>
   */
  public List<Book> searchBooks( String title, String author, String publisher );
}
