package org.books.model;

import java.util.List;

import javax.ejb.Remote;

import org.books.data.Book;

/**
 * <p>
 * CAS Enterprise Application Development mit Java EE (EADJ) - 2007<br/> 
 * Modul: Business-Tier (EJB 3)<br/>
 * Uebung: 2 (statless SessionBean)<br/>
 * Beschreibung:<br/> 
 * Diese Klasse implementiert die Schnittstelle fuer den entfernten Zugriff auf 
 * das Stateless Session Bean fuer die Katalogsuche.
 * </p> 
 * <p>Copyright (c) 2007 bouquet dot ch, 3032 Hinterkappelen. All rights reseved.</p>
 * @author     Marc Bouquet ( marc at bouquet dot ch, Switzerland )
 * @version    1.0 - 25.06.2007
 * @see CatalogManagerBean @link{org.books.model.CatalogManagerBean}
 */
@Remote
public interface CatalogManagerRemote
{
  /**
   * Diese Methode speichert eine Liste von Büchern in der Datenbank.
   * @param list List<Book>
   */
  public void loadBooks( List<Book> list );
}
