package org.books.view;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.ConverterException;

import org.apache.log4j.Logger;
import org.books.common.BaseBean;
import org.books.common.CommonConstants;

/**
 * <p>
 * CAS Enterprise Application Development mit Java EE (EADJ) - 2007<br/>
 * Modul: Web-Tier (JSF)<br/>
 * Uebung: 11 (Ordering)<br/>
 * Beschreibung:<br/>
 * Diese Klasse konvertiert den Kreditkartentyp in den entsprechenden Namen
 * fuer die Ausgabe.
 * </p>
 * <p>Copyright (c) 2007 bouquet dot ch, 3032 Hinterkappelen. All rights reseved.</p>
 * @author    Marc Bouquet ( marc at bouquet dot ch, Switzerland )
 * @version   1.0 - 07.05.2007
 * @see       BaseBean @link{org.books.common.BaseBean}
 * @see       Converter @link{javax.faces.convert.Converter}
 */
public class CreditCardConverter extends BaseBean implements Converter
{
  /**
   * Default serial version uid
   */
  private static final long serialVersionUID = 1L;
  
  /**
   * constant for the logging
   */
  private static Logger LOG = Logger.getLogger( CreditCardConverter.class );

  /**
   * Convert string value into a object
   * @param context FacesContext {@link javax.faces.context.FacesContext} the faces context
   * @param component UIComponent {@link javax.faces.component.UIComponent} the component
   * @param value String the value to be converted
   */
  public Object getAsObject( FacesContext context, UIComponent component, String value ) throws ConverterException
  {
    return value;
  }

  /**
   * Convert object into a string
   * @param context FacesContext {@link javax.faces.context.FacesContext} the faces context
   * @param component UIComponent {@link javax.faces.component.UIComponent} the component
   * @param obj Object the value to be converted
   */
  public String getAsString( FacesContext context, UIComponent component, Object obj ) throws ConverterException
  {
    if ( obj == null || !( obj instanceof String ) || ( ( String ) obj ).length() == 0 )
    {
      LOG.error( "unknow credit card type!" );
      return CommonConstants.SEPARATOR_NULL_VALUE;
    }

    return getText( CommonConstants.CONVERT_CREDITCARD_TYP + (String) obj, CommonConstants.RES_TXT );
  }
}
