package org.books.view.component;

import javax.el.ValueExpression;
import javax.faces.component.UIComponent;
import javax.faces.webapp.UIComponentELTag;

/**
 * <p> CAS Enterprise Application Development mit Java EE (EADJ) - 2007<br/> Modul: Web-Tier (JSF)<br/> Uebung: 14 (Custom_Components)<br/> Beschreibung:<br/> Diese Klasse implementiert eine Eingabe Tag fuer das Verfalldatum einer Kreditkarte. </p> <p>Copyright (c) 2007 bouquet dot ch, 3032 Hinterkappelen. All rights reseved.</p>
 * @author     Marc Bouquet ( marc at bouquet dot ch, Switzerland )
 * @version    1.0 - 14.05.2007
 * @see UIComponentELTag  @link{javax.faces.webapp.UIComponentELTag}
 */
public class InputExpirationTag extends UIComponentELTag
{
  /**
   * The value expression.
   */
  private ValueExpression value;

  /**
   * Returns the component type.
   * @return String
   */
  public String getComponentType()
  {
    return InputExpiration.COMPONENT_TYPE;
  }

  /**
   * Returns the renderer type.
   * @return String
   */
  public String getRendererType()
  {
    return null;
  }

  /**
   * Sets the value expression.
   * @param value  ValueExpression
   */
  public void setValue( ValueExpression value )
  {
    this.value = value;
  }

  /**
   * Sets the value property of the component.
   * @param component UIComponent
   */
  public void setProperties( UIComponent component )
  {
    super.setProperties( component );
    if ( value.isLiteralText() )
    {
      component.getAttributes().put( "value", value.getExpressionString() );
    }
    else
    {
      component.setValueExpression( "value", value );
    }
  }

  /**
   * Releases the resources.
   */
  public void release()
  {
    super.release();
    value = null;
  }
}