package org.books.view.component;

import javax.faces.component.UIComponent;
import javax.faces.webapp.UIComponentELTag;

/**
 * <p>
 * CAS Enterprise Application Development mit Java EE (EADJ) - 2007<br/>
 * Modul: Web-Tier (JSF)<br/>
 * Beschreibung:<br/>
 * Diese Klasse kapselt die Attribute fuer die Komponente message icon (tag library).
 * </p>
 * <p>Copyright (c) 2007 bouquet dot ch, 3032 Hinterkappelen. All rights reseved.</p>
 * @author    Marc Bouquet ( marc at bouquet dot ch, Switzerland )
 * @version   1.0 - 21.05.2007
 * @see       UIComponentELTag @link{javax.faces.webapp.UIComponentELTag}
 */
public class MessageIconTag extends UIComponentELTag
{
  private String _for;

  private String _url;

  private String _alt;

  private String _width;

  private String _height;

  private String _border;
  
  private String _styleClass;

  private String _rendered;

  /**
   * @see javax.faces.webapp.UIComponentTagBase#getComponentType()
   */
  public String getComponentType()
  {
    return MessageIcon.COMPONENT_TYPE;
  }

  /**
   * @see javax.faces.webapp.UIComponentTagBase#getRendererType()
   */
  public String getRendererType()
  {
    return null;
  }

  /**
   * Sets the properties of the component
   * @param component UIComponent
   */
  public void setProperties( UIComponent component )
  {
    super.setProperties( component );
    component.getAttributes().put( "for", _for );
    component.getAttributes().put( "url", _url );
    if ( null != _alt )
    {
      component.getAttributes().put( "alt", _alt );
    }
    if ( null != _width )
    {
      component.getAttributes().put( "width", _width );
    }
    if ( null != _height )
    {
      component.getAttributes().put( "height", _height );
    }
    if ( null != _border )
    {
      component.getAttributes().put( "border", _border );
    }
    if ( null != _styleClass )
    {
      component.getAttributes().put( "styleClass", _styleClass );
    }
    if ( null != _rendered )
    {
      component.getAttributes().put( "rendered", _rendered );
    }
  }

  /**
   * Diese Methode initialisiert die Attribute fuer die Komponente.<br/>
   * This method initialize the attributes for the component.
   */
  public void release()
  {
    super.release(); // the super class method should be called
    _for = null;
    _url = null;
    _alt = null;
    _width = null;
    _height = null;
    _border = null;
    _styleClass = null;
    _rendered = null;
  }

  /**
   * Sets the _alt.
   * @param _alt The _alt to set
   */
  public void setAlt( String _alt )
  {
    this._alt = _alt;
  }

  /**
   * Sets the _border.
   * @param _border The _border to set
   */
  public void setBorder( String _border )
  {
    this._border = _border;
  }

  /**
   * Sets the _for.
   * @param _for The _for to set
   */
  public void setFor( String _for )
  {
    this._for = _for;
  }

  /**
   * Sets the _height.
   * @param _height The _height to set
   */
  public void setHeight( String _height )
  {
    this._height = _height;
  }

  /**
   * Sets the _url.
   * @param _url The _url to set
   */
  public void setUrl( String _url )
  {
    this._url = _url;
  }

  /**
   * Sets the _width.
   * @param _width The _width to set
   */
  public void setWidth( String _width )
  {
    this._width = _width;
  }
  
  /**
   * Sets the _styleClass.
   * @param _styleClass The _styleClass to set
   */
  public void setStyleClass( String _styleClass )
  {
    this._styleClass = _styleClass;
  }

  /**
   * Sets the _rendered.
   * @param _rendered The _rendered to set
   */
  public void setRendered( String _rendered )
  {
    this._rendered = _rendered;
  }
}
