<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:wxc="http://books.org/jsf/taglib">

<!-- iexplorer benoetigt den folgenden eintrag, damit er die jsf-page anzeigen kann -->
<jsp:directive.page contentType="text/html; charset=UTF-8" />
<head>
<title>bouquet dot ch - webshop</title>
<meta content="Marc Bouquet" name="author"/>
<style type="text/css" media="screen">@import url(${pageContext.request.contextPath}/css/style.css);</style>
</head>
<body>
<f:view>
	<f:loadBundle basename="text" var="txt" />
	<div id="content">
		<h:form id="id_address">
			<!-- header -->
			<f:subview id="sub_head">
				<jsp:include page="inc/head.jsp"/>
			</f:subview>
			<!-- navigation -->
			<f:subview id="sub_navigation">
				<jsp:include page="inc/navigation.jsp"/>
			</f:subview>
			<h:panelGrid width="680" columnClasses="valign" bgcolor="#FFFFFF" cellspacing="0" cellpadding="0" columns="1">
				<h:panelGroup>
					<div class="element">
						<h2><h:outputText value="#{txt.step_1}" /></h2>
						<fieldset>
							<legend><h:outputText value="#{txt.address_legend}" /></legend>
							<h:panelGrid styleClass="fullTable" columnClasses="w20p, w80p" columns="2" rowClasses="oddrow, evenrow">
								<h:outputText value="#{txt.address_name}" />
								<h:panelGroup>
									<h:inputText id="txf_name" value="#{addressBean.name}" required="true"/>
									<h:outputText value="&#160;" />
									<wxc:messageIcon for="txf_name" url="/img/icon/error.png" width="16" height="16" styleClass="no-border"/>
								</h:panelGroup>
								
								<h:outputText value="#{txt.address_street}" />
								<h:panelGroup>
									<h:inputText id="txf_street" value="#{addressBean.street}" required="true"/>
									<h:outputText value="&#160;" />
									<wxc:messageIcon for="txf_street" url="/img/icon/error.png" width="16" height="16" styleClass="no-border"/>
								</h:panelGroup>
								
								<h:outputText value="#{txt.address_city}" />
								<h:panelGroup>
									<h:inputText id="txf_city" value="#{addressBean.city}" required="true"/>
									<h:outputText value="&#160;" />
									<wxc:messageIcon for="txf_city" url="/img/icon/error.png" width="16" height="16" styleClass="no-border"/>
								</h:panelGroup>
								
								<h:outputText value="#{txt.address_zip}" />
								<h:panelGroup>
									<h:inputText id="txf_zip" value="#{addressBean.zip}" required="true"/>
									<h:outputText value="&#160;" />
									<wxc:messageIcon for="txf_zip" url="/img/icon/error.png" width="16" height="16" styleClass="no-border"/>
								</h:panelGroup>
								
								<h:outputText value="#{txt.address_country}" />
								<h:selectOneMenu id="cbx_country" value="#{addressBean.country}">
									<f:selectItems value="#{addressBean.countryList}" />
								</h:selectOneMenu>
							</h:panelGrid>
						</fieldset>
						<h:panelGrid columns="1">
							<h:panelGroup>
								<h:commandButton id="btn_credit" type="submit" action="#{addressBean.credit}" value="#{txt.nav_action_next}" styleClass="send"/>
								<h:outputText value="&#160;" />
								<h:commandButton id="btn_reset" type="submit" action="#{addressBean.reset}" value="#{txt.nav_action_reset}" immediate="true" styleClass="send"/>
							</h:panelGroup>
						</h:panelGrid>
						<h:commandLink id="link_card_back" action="card_back" value="#{txt.nav_action_back}" immediate="true"/>
					</div>
					<br/>
					<h:graphicImage url="/img/style/hline.gif" alt="line" />
				</h:panelGroup>
			</h:panelGrid>
			
			<f:subview id="sub_footer">
				<jsp:include page="inc/footer.jsp"/>
			</f:subview>
			
		</h:form>
	</div>
</f:view>
</body>
</html>