<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">

<!-- iexplorer benoetigt den folgenden eintrag, damit er die jsf-page anzeigen kann -->
<jsp:directive.page contentType="text/html; charset=UTF-8" />
<head>
<title>bouquet dot ch - webshop</title>
<meta content="Marc Bouquet" name="author"/>
<style type="text/css" media="screen">@import url(${pageContext.request.contextPath}/css/style.css);</style>
</head>
<body>
<f:view>
	<f:loadBundle basename="text" var="txt" />
	<div id="content">
		<h:form id="id_admin">
			<!-- header -->
			<f:subview id="sub_head">
				<jsp:include page="inc/head.jsp"/>
			</f:subview>
			<!-- navigation -->
			<f:subview id="sub_navigation">
				<jsp:include page="inc/navigation.jsp"/>
			</f:subview>
			<h:panelGrid width="680" bgcolor="#FFFFFF" cellspacing="0" cellpadding="0" columns="1">
				<h:panelGroup>
					<div class="element">
						<h2><h:outputText value="#{txt.nav_admin}" /></h2>
						<fieldset>
							<legend><h:outputText value="#{txt.admin_legend}"/></legend>
							<h:outputText value="#{txt.admin_empty}" styleClass="warn" rendered="#{empty adminBean.orderList}"/>
							<h:dataTable id="orders"
								columnClasses="w20p, w30p, w20p, w20p"
								rowClasses="oddrow, evenrow"
								headerClass="row"
								styleClass="fullTable" 
								value="#{adminBean.adminModel}"
								var="order"
								rendered="#{!empty adminBean.orderList}">
								
								<h:column>
									<f:facet name="header">
											<h:outputText value="#{txt.admin_number}" />					
									</f:facet>
									<h:commandLink id="link_select" action="#{adminBean.select}" immediate="true">
										<h:outputText value="#{order.number}" />
									</h:commandLink>
								</h:column>
				
								<h:column>
									<f:facet name="header">
										<h:outputText value="#{txt.admin_date}" />
									</f:facet>
									<h:outputText value="#{order.date}">
										<f:convertDateTime pattern="dd.MM.yyyy - HH:mm"/>
									</h:outputText>
								</h:column>
								
								<h:column>
									<f:facet name="header">
										<h:outputText value="#{txt.admin_amount}" />
									</f:facet>
									<h:outputText value="#{order.amount}">
										<f:convertNumber pattern="EUR #,##0.00"/>
									</h:outputText>
								</h:column>
								
								<h:column>
									<f:facet name="header">
										<h:outputText value="#{txt.admin_state}" />
									</f:facet>
									<h:outputText value="#{order.status}">
										<f:converter converterId="StatusConverter"/>
									</h:outputText>
								</h:column>
								
								<h:column>
									<f:facet name="header"/>
									<h:commandLink id="link_cancel" action="#{adminBean.cancel}" immediate="true" rendered="#{order.status eq 'Open'}">
										<center><h:graphicImage url="/img/icon/icon_cancel.png" title="#{txt.admin_action_cancel}" styleClass="no-border"/></center>
									</h:commandLink>
									<center><h:graphicImage url="/img/icon/delete.png" title="#{txt.confirmation_status_3}" styleClass="no-border" rendered="#{order.status eq 'Canceled'}"/></center>
									<center><h:graphicImage url="/img/icon/icon_login.png" title="#{txt.confirmation_status_2}" styleClass="no-border" rendered="#{order.status eq 'Closed'}"/></center>
								</h:column>
							</h:dataTable>
						</fieldset>
						<h:panelGrid columns="1">
							<h:commandButton id="btn_refresh" type="submit" action="#{adminBean.refresh}" value="#{txt.nav_action_refresh}" styleClass="send"/>
						</h:panelGrid>
						<h:messages showDetail="true" showSummary="false" layout="table" errorStyle="color:red;" fatalStyle="color:black;" warnStyle="color:green;" infoStyle="color:blue;"/>
					</div>
					<br/>
					<h:graphicImage url="/img/style/hline.gif" alt="line" />
				</h:panelGroup>
			</h:panelGrid>
			
			<f:subview id="sub_footer">
				<jsp:include page="../inc/footer.jsp"/>
			</f:subview>
			
		</h:form>
	</div>
</f:view>
</body>
</html>