<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">

<!-- iexplorer benoetigt den folgenden eintrag, damit er die jsf-page anzeigen kann -->
<jsp:directive.page contentType="text/html; charset=UTF-8" />
<head>
<title>bouquet dot ch - webshop</title>
<meta content="Marc Bouquet" name="author"/>
<style type="text/css" media="screen">@import url(${pageContext.request.contextPath}/css/style.css);</style>
</head>
<body>
<f:view>
	<f:loadBundle basename="text" var="txt" />
	<div id="content">
		<h:form id="id_admin_detail">
			<!-- header -->
			<f:subview id="sub_head">
				<jsp:include page="inc/head.jsp"/>
			</f:subview>
			<!-- navigation -->
			<f:subview id="sub_navigation">
				<jsp:include page="inc/navigation.jsp"/>
			</f:subview>
			<h:panelGrid width="680" bgcolor="#FFFFFF" cellspacing="0" cellpadding="0" columns="1">
				<h:panelGroup>
					<div class="element">
						<h2><h:outputText value="#{txt.admin_detail}" /></h2>
						<fieldset>
							<legend><h:outputText value="#{txt.address_legend}" /></legend>
							<h:panelGrid styleClass="fullTable" columnClasses="w20p, w80p" columns="2" rowClasses="oddrow, evenrow">
								<h:outputText value="#{txt.address_name}" />
								<h:outputText value="#{adminBean.order.address.name}" />
								
								<h:outputText value="#{txt.address_street}" />
								<h:outputText value="#{adminBean.order.address.street}" />
								
								<h:outputText value="#{txt.address_city}" />
								<h:outputText value="#{adminBean.order.address.city}" />
								
								<h:outputText value="#{txt.address_zip}" />
								<h:outputText value="#{adminBean.order.address.zip}" />
								
								<h:outputText value="#{txt.address_country}" />
								<h:outputText value="#{adminBean.order.address.country}">
									<f:converter converterId="CountryConverter"/>
								</h:outputText>
							</h:panelGrid>
						</fieldset>
						
						<fieldset>
							<legend><h:outputText value="#{txt.creditcard_legend}" /></legend>
							<h:panelGrid styleClass="fullTable" columnClasses="w20p, w80p" columns="2" rowClasses="oddrow, evenrow">
								<h:outputText value="#{txt.creditcard_typ}" />
								<h:outputText value="#{adminBean.order.creditCard.type}">
									<f:converter converterId="CreditCardConverter"/>
								</h:outputText>
								
								<h:outputText value="#{txt.creditcard_number}" />
								<h:outputText value="#{adminBean.order.creditCard.number}"/>
								
								<h:outputText value="#{txt.creditcard_expiry_date}" />
								<h:panelGroup>
									<h:outputText value="#{adminBean.order.creditCard.expiration}">
										<f:convertDateTime pattern="yyyy-MM"/>
								  </h:outputText>
								</h:panelGroup>
							</h:panelGrid>
						</fieldset>
						<fieldset>
							<legend><h:outputText value="#{txt.admin_detail_books_legend}" /></legend>
							<h:outputText value="#{txt.admin_detail_empty}" styleClass="error" rendered="#{empty adminBean.order.items}"/>
							<h:dataTable id="cards"
								columnClasses="w10p, w70p, w20p"
								rowClasses="oddrow, evenrow"
								headerClass="row"
								styleClass="fullTable" 
								value="#{adminBean.order.items}"
								var="item"
								rendered="#{!empty adminBean.order.items}">
							
								<h:column>
									<f:facet name="header">
											<h:outputText value="#{txt.card_size}" />					
									</f:facet>
									<h:outputText value="#{item.quantity}" />
								</h:column>
				
								<h:column>
									<f:facet name="header">
										<h:outputText value="#{txt.card_title}" />
									</f:facet>
									<h:outputText value="#{item.book.title}" />
								</h:column>
								
								<h:column>
									<f:facet name="header">
										<h:outputText value="#{txt.card_price}" />
									</f:facet>
									<h:outputText value="#{item.book.price}">
										<f:convertNumber pattern="EUR #,##0.00"/>
									</h:outputText>
									<f:facet name="footer">
										<h:outputText value="#{adminBean.totalOrder}" styleClass="bold">
											<f:convertNumber pattern="EUR #,##0.00"/>
										</h:outputText>
									</f:facet>
								</h:column>
							</h:dataTable>
						</fieldset>
						<h:panelGrid columns="1">
							<h:commandLink id="link_back" action="back" value="#{txt.nav_action_back}" />
						</h:panelGrid>
						<h:messages showDetail="true" showSummary="false" layout="table" errorStyle="color:red;" fatalStyle="color:black;" warnStyle="color:green;" infoStyle="color:blue;"/>
					</div>
					<br/>
					<h:graphicImage url="/img/style/hline.gif" alt="line" />
				</h:panelGroup>
			</h:panelGrid>
			
			<f:subview id="sub_footer">
				<jsp:include page="../inc/footer.jsp"/>
			</f:subview>
			
		</h:form>
	</div>
</f:view>
</body>
</html>