<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:wxc="http://books.org/jsf/taglib">

<!-- iexplorer benoetigt den folgenden eintrag, damit er die jsf-page anzeigen kann -->
<jsp:directive.page contentType="text/html; charset=UTF-8" />
<head>
<title>bouquet dot ch - webshop</title>
<meta content="Marc Bouquet" name="author"/>
<style type="text/css" media="screen">@import url(${pageContext.request.contextPath}/css/style.css);</style>
</head>
<body>
<f:view>
	<f:loadBundle basename="text" var="txt" />
	<div id="content">
		<h:form id="id_card">
			<!-- header -->
			<f:subview id="sub_head">
				<jsp:include page="inc/head.jsp"/>
			</f:subview>
			<!-- navigation -->
			<f:subview id="sub_navigation">
				<jsp:include page="inc/navigation.jsp"/>
			</f:subview>
			<h:panelGrid width="680" columnClasses="valign" bgcolor="#FFFFFF" cellspacing="0" cellpadding="0" columns="1">
				<h:panelGroup>
					<div class="element">
						<h2><h:outputText value="#{txt.nav_card}" /></h2>
						<fieldset>
							<legend><h:outputText value="#{txt.card_legend}"/></legend>
								<h:outputText value="#{txt.card_empty}" styleClass="warn" rendered="#{empty cardBean.cardList}"/>
								<h:dataTable id="cards"
									columnClasses="w10p, w50p, w20p, w10p, w10p"
									rowClasses="oddrow, evenrow"
									headerClass="row"
									styleClass="fullTable" 
									value="#{cardBean.cardModel}"
									var="item"
									rendered="#{!empty cardBean.cardList}">
									
									<h:column>
										<f:facet name="header">
												<h:outputText value="#{txt.card_size}" />					
										</f:facet>
										<h:inputText id="txf_quantity" value="#{item.quantity}" required="true" style="width: 40px;"/>
									</h:column>
					
									<h:column>
										<f:facet name="header">
											<h:outputText value="#{txt.card_title}" />
										</f:facet>
										<h:outputText value="#{item.book.title}" />
									</h:column>
									
									<h:column>
										<f:facet name="header">
											<h:outputText value="#{txt.card_price}" />
										</f:facet>
										<h:outputText value="#{item.book.price}">
											<f:convertNumber pattern="EUR #,##0.00"/>
										</h:outputText>
										<f:facet name="footer">
											<h:outputText value="#{cardBean.total}" styleClass="bold">
												<f:convertNumber pattern="EUR #,##0.00"/>
											</h:outputText>
										</f:facet>
									</h:column>
									
									<h:column>
										<f:facet name="header">
											<h:outputText value="#{txt.card_action_remove}" />
										</f:facet>
										<h:commandLink id="link_remove" action="#{cardBean.remove}" immediate="true">
											<center><h:graphicImage url="/img/icon/icon_cancel.png" title="#{txt.card_action_remove}" styleClass="no-border"/></center>
										</h:commandLink>
									</h:column>
									
									<h:column>
										<f:facet name="header"/>
										<center><wxc:messageIcon for="txf_quantity" url="/img/icon/error.png" width="16" height="16" styleClass="no-border"/></center>
									</h:column>
								</h:dataTable>
							</fieldset>
							<h:panelGrid columns="1" rendered="#{!empty cardBean.cardList}">
								<h:panelGroup>
									<h:commandButton id="btn_refresh" type="submit" action="#{cardBean.refresh}" value="#{txt.card_action_refresh}" styleClass="send"/>
									<h:outputText value="&#160;" />
									<h:commandButton id="btn_cash" type="submit" action="#{addressBean.address}" value="#{txt.nav_action_cash}" disabled="#{cardBean.failures}" styleClass="send"/>
								</h:panelGroup>
							</h:panelGrid>
							<h:commandLink id="link_back" action="result_back" value="#{txt.nav_action_back_result}" immediate="true" rendered="#{!empty catalogBean.bookList}"/>
					</div>
					<br/>
					<h:graphicImage url="/img/style/hline.gif" alt="line" />
				</h:panelGroup>
			</h:panelGrid>
			
			<f:subview id="sub_footer">
				<jsp:include page="inc/footer.jsp"/>
			</f:subview>
			
		</h:form>
	</div>
</f:view>
</body>
</html>