<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">

<!-- iexplorer benoetigt den folgenden eintrag, damit er die jsf-page anzeigen kann -->
<jsp:directive.page contentType="text/html; charset=UTF-8" />
<head>
<title>bouquet dot ch - webshop</title>
<meta content="Marc Bouquet" name="author"/>
<style type="text/css" media="screen">@import url(${pageContext.request.contextPath}/css/style.css);</style>
</head>
<body>
<f:view>
	<f:loadBundle basename="text" var="txt" />
	<div id="content">
		<h:form id="id_catalog">
			<!-- header -->
			<f:subview id="sub_head">
				<jsp:include page="inc/head.jsp"/>
			</f:subview>
			<!-- navigation -->
			<f:subview id="sub_navigation">
				<jsp:include page="inc/navigation.jsp"/>
			</f:subview>
			<h:panelGrid width="680" columnClasses="valign" bgcolor="#FFFFFF" cellspacing="0" cellpadding="0" columns="2">
				<h:panelGroup styleClass="bline leftsite">
					<div class="element">
						<h2><h:outputText value="#{txt.nav_catalog}" /></h2>
						<fieldset>
							<legend><h:outputText value="#{txt.search_legend}" /></legend>
							<h:panelGrid columnClasses="w20p, w80p" columns="2">
								<h:outputText value="#{txt.search_title}" />
								<h:inputText id="txf_title" value="#{catalogBean.title}" />
								
								<h:outputText value="#{txt.search_author}" />
								<h:inputText id="txf_author" value="#{catalogBean.author}" />
					
								<h:outputText value="#{txt.search_publisher}" />
								<h:inputText id="txf_publisher" value="#{catalogBean.publisher}" />
							</h:panelGrid>
						</fieldset>
						<h:panelGrid columns="1">
							<h:panelGroup>
								<h:commandButton id="btn_search" type="submit" action="#{catalogBean.searchBooks}" value="#{txt.nav_action_find}" styleClass="send"/>
								<h:outputText value="&#160;" />
								<h:commandButton id="btn_reset" type="submit" action="#{catalogBean.reset}" value="#{txt.nav_action_reset}" styleClass="send"/>
							</h:panelGroup>
						</h:panelGrid>
						<h:messages showDetail="true" showSummary="false" layout="table" errorStyle="color:red;" fatalStyle="color:black;" warnStyle="color:green;" infoStyle="color:blue;"/>
					</div>
					<br/>
					<h:graphicImage url="/img/style/hline.gif" alt="line" />
				</h:panelGroup>
	
				<h:panelGroup>
					<div id="reference">
						<h:panelGrid width="100%" cellspacing="3" cellpadding="3" columns="1">
							<h:panelGroup>
								<strong><h:outputText value="#{txt.shop_legend}" /></strong><br/>
								<h:outputText value="#{txt.shop_description}" escape="false"/>
							</h:panelGroup>
						</h:panelGrid>
						<br/>
						<div align="center">
							<h:outputLink id="id_firefox" value="http://www.mozilla.com" target="_blank">
								<h:graphicImage url="/img/logos/firefox.gif" alt="firefox" />
							</h:outputLink>
							<br/>
							<h:graphicImage url="/img/logos/nightcoder.gif" alt="nightcoder" />
							<br/>
							<h:outputLink id="id_sw_patents" value="http://www.nosoftwarepatents.com" target="_blank">
								<h:graphicImage url="/img/logos/nosoftwarepatents.gif" alt="no software patents" />
							</h:outputLink>
						</div>
					</div>
				</h:panelGroup>
			</h:panelGrid>
			
			<f:subview id="sub_footer">
				<jsp:include page="inc/footer.jsp"/>
			</f:subview>
			
		</h:form>
	</div>
</f:view>
</body>
</html>