<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:wxc="http://books.org/jsf/taglib">

<!-- iexplorer benoetigt den folgenden eintrag, damit er die jsf-page anzeigen kann -->
<jsp:directive.page contentType="text/html; charset=UTF-8" />
<head>
<title>bouquet dot ch - webshop</title>
<meta content="Marc Bouquet" name="author"/>
<style type="text/css" media="screen">@import url(${pageContext.request.contextPath}/css/style.css);</style>
</head>
<body>
<f:view>
	<f:loadBundle basename="text" var="txt" />
	<div id="content">
		<h:form id="id_creditcard">
			<!-- header -->
			<f:subview id="sub_head">
				<jsp:include page="inc/head.jsp"/>
			</f:subview>
			<!-- navigation -->
			<f:subview id="sub_navigation">
				<jsp:include page="inc/navigation.jsp"/>
			</f:subview>
			<h:panelGrid width="680" columnClasses="valign" bgcolor="#FFFFFF" cellspacing="0" cellpadding="0" columns="1">
				<h:panelGroup>
					<div class="element">
						<h2><h:outputText value="#{txt.step_2}" /></h2>
						<fieldset>
							<legend><h:outputText value="#{txt.creditcard_legend}" /></legend>
							<h:panelGrid styleClass="fullTable" columnClasses="w20p, w80p" columns="2" rowClasses="oddrow, evenrow">
								<h:outputText value="#{txt.creditcard_typ}" />
								<h:selectOneMenu id="cbx_card_typ" value="#{creditCardBean.type}">
									<f:selectItems value="#{creditCardBean.cardTypList}" />
								</h:selectOneMenu>
								
								<h:outputText value="#{txt.creditcard_number}" />
								<h:panelGroup>
									<h:inputText id="txf_card_number" value="#{creditCardBean.number}" required="true">
										<wxc:validateRegex pattern="\d{16}|(\d{4} \d{4} \d{4} \d{4})"/>
										<!-- f:validator validatorId="CreditCardValidator"/ -->
									</h:inputText>
									<h:outputText value="&#160;" />
									<wxc:messageIcon for="txf_card_number" url="/img/icon/error.png" width="16" height="16" styleClass="no-border"/>
								</h:panelGroup>
								
								<h:outputText value="#{txt.creditcard_expiry_date}"/>
								<h:panelGroup>
				          <wxc:inputExpiration id="cardExpiration" value="#{creditCardBean.expiration}"/>
				          <h:message for="cardExpiration" styleClass="error"/>
								</h:panelGroup>
							</h:panelGrid>
						</fieldset>
						<h:panelGrid columns="1">
							<h:panelGroup>
								<h:commandButton id="btn_order" type="submit" action="#{creditCardBean.order}" value="#{txt.nav_action_next}" styleClass="send"/>
								<h:outputText value="&#160;" />
								<h:commandButton id="btn_reset" type="submit" action="#{creditCardBean.reset}" value="#{txt.nav_action_reset}" immediate="true" styleClass="send"/>
							</h:panelGroup>
						</h:panelGrid>
					</div>
					<br/>
					<h:graphicImage url="/img/style/hline.gif" alt="line" />
				</h:panelGroup>
			</h:panelGrid>
			
			<f:subview id="sub_footer">
				<jsp:include page="inc/footer.jsp"/>
			</f:subview>
			
		</h:form>
	</div>
</f:view>
</body>
</html>