<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">

<!-- iexplorer benoetigt den folgenden eintrag, damit er die jsf-page anzeigen kann -->
<jsp:directive.page contentType="text/html; charset=UTF-8" />
<head>
<title>bouquet dot ch - webshop</title>
<meta content="Marc Bouquet" name="author"/>
<style type="text/css" media="screen">@import url(${pageContext.request.contextPath}/css/style.css);</style>
</head>
<body>
<f:view>
	<f:loadBundle basename="text" var="txt" />
	<div id="content">
		<h:form id="id_search_result">
			<!-- header -->
			<f:subview id="sub_head">
				<jsp:include page="inc/head.jsp"/>
			</f:subview>
			<!-- navigation -->
			<f:subview id="sub_navigation">
				<jsp:include page="inc/navigation.jsp"/>
			</f:subview>
			<h:panelGrid width="680" columnClasses="valign" bgcolor="#FFFFFF" cellspacing="0" cellpadding="0" columns="1">
				<h:panelGroup>
					<div class="element">
						<h2><h:outputText value="#{txt.nav_catalog}" /></h2>
						<fieldset>
							<legend><h:outputText value="#{txt.result_legend} (#{txt.result_hits} #{catalogBean.bookModel.rowCount})" /></legend>
							<h:dataTable id="books"
								columnClasses="w60p, w20p, w20p"
								rowClasses="oddrow, evenrow"
								headerClass="row"
								styleClass="fullTable"
								value="#{catalogBean.bookModel}"
								var="store">
								
								<h:column>
									<f:facet name="header">
											<h:outputText value="#{txt.result_title}" />					
									</f:facet>
									<h:commandLink id="link_select" action="#{catalogBean.select}" immediate="true">
										<h:outputText value="#{store.title}" />
									</h:commandLink>
								</h:column>
				
								<h:column>
									<f:facet name="header">
										<h:outputText value="#{txt.result_price}" />
									</f:facet>
									<h:outputText value="#{store.price}">
										<f:convertNumber pattern="EUR #,##0.00"/>
									</h:outputText>
								</h:column>
								
								<h:column>
									<f:facet name="header">
										<h:outputText value="#{txt.card_action_insert}" />
									</f:facet>
									<h:commandLink id="link_add" action="#{cardBean.add}" immediate="true">
										<center>
											<h:graphicImage url="/img/icon/cart_add.png" title="#{txt.card_action_insert}" styleClass="no-border"/>
										</center>
									</h:commandLink>
								</h:column>
							</h:dataTable>
						</fieldset>
						<h:panelGrid columns="1">
							<h:panelGroup>
								<h:commandLink id="link_search_back" action="search_back" value="#{txt.nav_action_back_search}" />
								<h:outputText value="&#160;" />
								<h:commandLink id="links_search_reset" action="#{catalogBean.reset}" value="#{txt.nav_action_new_search}" />
							</h:panelGroup>
						</h:panelGrid>
					</div>
					<br/>
					<h:graphicImage url="/img/style/hline.gif" alt="line" />
				</h:panelGroup>
			</h:panelGrid>
			
			<f:subview id="sub_footer">
				<jsp:include page="inc/footer.jsp"/>
			</f:subview>
			
		</h:form>
	</div>
</f:view>
</body>
</html>